> For the complete documentation index, see [llms.txt](https://docs-old.telematicssdk.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-old.telematicssdk.com/user-statistics-and-analytics/processed-data/get_tracks.md).

# Get a list of tracks with paging

## Get Tracks

<mark style="color:blue;">`GET`</mark> `https://mobilesdk.telematicssdk.com/mobilesdk/stage/track/get_tracks/v1`

Get a list of tracks\
\
**Authorization:** DeviceToken in header

#### Query Parameters

| Name       | Type   | Description                                                                         |
| ---------- | ------ | ----------------------------------------------------------------------------------- |
| startDate  | string | Time filter. Format: 1990-01-01 by default. You can use "2019-09-10T12:37:49+02:00" |
| endDate    | string | Time filter. Format: 2019-09-10T12:37:49+02:00"                                     |
| lang       | string | "en" by default                                                                     |
| pageNumber | string | page number // 0 by default                                                         |
| pageSize   | string | tracks per page (0 = unlimited) // 0 by default                                     |

#### Headers

| Name        | Type   | Description |
| ----------- | ------ | ----------- |
| DeviceToken | string | DeviceToken |

{% tabs %}
{% tab title="200 " %}

```
{
   "Result": {
     "Tracks": [
         {
             "TrackToken": "d8ece0fc-de27-4c86-9c30-5a129a9725fc",
             "StartDate": "2018-06-14T14:53:07+04:00",
             "AddressStart": "N De Anza Blvd 10853, Cupertino, Santa Clara, United States",
             "EndDate": "2018-06-14T14:55:24+04:00",
             "AddressEnd": "Arboretum Dr 5893, Woodland Acres-the Highlands, Los Altos, Santa Clara, United States",
             "Status": "Active",
                "Distance": 0.728,
                "Duration": 3.3666666666666667,
                "AccelerationCount": 0,
                "DecelerationCount": 0,
                "Rating": 5.0,
                "RatingCornering": 5.0,
                "RatingAcceleration": 5.0,
                "RatingBraking": 5.0,
                "RatingSpeeding": 5.0,
                "RatingPhoneUsage": 5.0,
                "RatingTimeOfDay": 3.0,
                "PhoneUsage": 0.0,
                "MidOverSpeedMileage": 0.0,
                "HighOverSpeedMileage": 0.0,
                "TrackOriginCode": "OriginalDriver",
                "OriginChanged": false,
                "ShareType": "NotShared",
                "CityStart": "Podgorica",
                "CityFinish": "Podgorica",
                "Rating100": 100.0,
                "RatingCornering100": 100.0,
                "RatingAcceleration100": 100.0,
                "RatingBraking100": 100.0,
                "RatingSpeeding100": 100.0,
                "RatingPhoneDistraction100": 100.0,
                "AddressStartParts": {
                    "CountryCode": "USA",
                    "PostalCode": "81000",
                    "City": "Podgorica",
                    "District": "Podgorica",
                    "Street": "Ulica Vasa Raičkovića",
                    "House": "20"
                },
                "AddressFinishParts": {
                    "CountryCode": "USA",
                    "PostalCode": "81000",
                    "City": "New-York",
                    "District": "Podgorica",
                    "Street": "Ulica Svetlane Kane Radević",
                    "House": "1"
                },
        "Tags": [
          {
            "Name": "Sample Tag",
            "SourceType": "UserApp",
            "Source": "Sample application module name"
          },
                
         ...
      ],
      "Code": 200
   }
}
```

{% endtab %}
{% endtabs %}

## Fields Dictionary

| Field                                                                     | Description                                                                                                                                                                                                                                                                       |
| ------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [Status](/user-statistics-and-analytics/processed-data/track-statuses.md) | <p>Draft - received and processed track but without scoring yet</p><p>Active - processed track with scoring</p><p>Deleted - processed track which is not participating in user scoring count.</p><p>Can be changed by <a href="/pages/-MHMluBiA6d3rs4TOmsT">these</a> methods</p> |
| AccelerationCount                                                         | Number of accelerations per track                                                                                                                                                                                                                                                 |
| DecelerationCount                                                         | Number of brakes per track                                                                                                                                                                                                                                                        |
| MidOverSpeedMileage                                                       | Total mileage with overspeeding more than X km/h                                                                                                                                                                                                                                  |
| HighOverSpeedMileage                                                      | Total mileage with overspeeding more than X km/h                                                                                                                                                                                                                                  |
| TrackOriginCode                                                           | <p>OriginalDriver</p><p>Passanger<br>Bus<br>Train<br>Taxi<br>Bicycle<br>Motorcycle<br>Walking<br>Running<br>Other</p>                                                                                                                                                             |
| OriginChanged                                                             | If track origin was changed (false/true).                                                                                                                                                                                                                                         |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-old.telematicssdk.com/user-statistics-and-analytics/processed-data/get_tracks.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
